---
apiVersion: v1
kind: Service
metadata:
  name: alertmanager-headless
  labels: {{ toYaml .Values.service.labels | nindent 4 }}
  annotations: {{ toYaml .Values.service.annotations | nindent 4 }}
spec:
  type: {{ .Values.service.type }}
  {{- if .Values.service.clusterIP }}
  clusterIP: {{ .Values.service.clusterIP }}
  {{- end }}
  ports:
    - name: web
      port: 9093
      targetPort: 9093
      protocol: TCP
  selector:
    app.kubernetes.io/name: alertmanager
